Bug 81146 - Don't cap the scroll position if layout happens when a FrameView's overhangAmount is non-zero
Summary: Don't cap the scroll position if layout happens when a FrameView's overhangAm...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Anders Carlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-14 12:51 PDT by Anders Carlsson
Modified: 2012-03-16 11:40 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.99 KB, patch)
2012-03-14 13:02 PDT, Anders Carlsson
bdakin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Carlsson 2012-03-14 12:51:34 PDT
Don't cap the scroll position if layout happens when a FrameView's overhangAmount is non-zero
Comment 1 Anders Carlsson 2012-03-14 13:02:39 PDT
Created attachment 131903 [details]
Patch
Comment 2 Anders Carlsson 2012-03-14 13:07:58 PDT
Committed r110737: <http://trac.webkit.org/changeset/110737>
Comment 3 Ryosuke Niwa 2012-03-15 00:16:56 PDT
It seems like this patch caused some regression on Chromium's setting's page:
http://code.google.com/p/chromium/issues/detail?id=118349

We'll probably file a new WebKit bug when we get a reduction.
Comment 4 Anders Carlsson 2012-03-15 10:46:04 PDT
(In reply to comment #3)
> It seems like this patch caused some regression on Chromium's setting's page:
> http://code.google.com/p/chromium/issues/detail?id=118349
> 
> We'll probably file a new WebKit bug when we get a reduction.

I've seen problems when resizing the safari window as well. We might have to limit the scope of this fix.
Comment 5 Dan Beam 2012-03-16 11:40:12 PDT
Hey Anders, we're seeing the same behavior in chromium - here's how it manifested - http://code.google.com/p/chromium/issues/detail?id=118349.